## org.eclipse.emf.converter.ui.contribution
Class ModelConverterManager.ModelConverterDescriptorImpl

    java.lang.Object
      org.eclipse.emf.converter.ui.contribution.ModelConverterManager.ModelConverterDescriptorImpl

All Implemented Interfaces:
  ModelConverterDescriptor

Direct Known Subclasses:
  ModelExporterManager.ModelExporterDescriptorImpl, ModelImporterManager.ModelImporterDescriptorImpl

Enclosing class:
  ModelConverterManager<D extends ModelConverterDescriptor>

    public static class ModelConverterManager.ModelConverterDescriptorImpl

extends java.lang.Object
implements ModelConverterDescriptor

Field Summary
`protected IConfigurationElement` `configurationElement`
`protected java.lang.String` `description`
`protected Image` `icon`
`protected java.lang.String` `id`
`protected java.lang.String` `name`

Constructor Summary
`ModelConverterManager.ModelConverterDescriptorImpl()`

Method Summary
`protected java.lang.Object` `createExecutableExtension(java.lang.String attribute)`
`java.lang.String` `getDescription()`
`Image` `getIcon()`
`java.lang.String` `getID()`
`java.lang.String` `getName()`
`void` `setDescription(java.lang.String description)`
`void` `setIcon(Image icon)`
`void` `setID(java.lang.String id)`
`void` `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected java.lang.String id

### name

    protected java.lang.String name

### icon

    protected Image icon

### description

    protected java.lang.String description

### configurationElement

    protected IConfigurationElement configurationElement

Constructor Detail

### ModelConverterManager.ModelConverterDescriptorImpl

    public ModelConverterManager.ModelConverterDescriptorImpl()

Method Detail

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in interface `ModelConverterDescriptor`

### setID

    public void setID(java.lang.String id)

### getIcon

    public Image getIcon()

  Specified by:
    `getIcon` in interface `ModelConverterDescriptor`

### setIcon

    public void setIcon(Image icon)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ModelConverterDescriptor`

### setName

    public void setName(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `ModelConverterDescriptor`

### setDescription

    public void setDescription(java.lang.String description)

### createExecutableExtension

    protected java.lang.Object createExecutableExtension(java.lang.String attribute)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.